module.exports = {
    root: true,
    env: {
      browser: true,
      node: true,
    },
    plugins: [
      "align-import"
    ],
    extends: ["eslint:recommended", "plugin:vue/vue3-recommended"],
    ignorePatterns: ["node_modules/", "dist/", "*.json"],
    parserOptions: {
      project: "tsconfig.json",
      tsconfigRootDir: __dirname,
      sourceType: "module",
      ecmaFeatures: {
        jsx: true,
      },
    },
    rules: {
      "no-multi-spaces": ["error", {"exceptions": {"ImportDeclaration": true}}],
      "align-import/align-import": "error",
      "vue/max-attributes-per-line": ["error", {"singleline": {"max": 20}, "multiline": {"max": 100}}],
      "vue/first-attribute-linebreak": ["error", {"singleline": "ignore","multiline": "ignore"}],
      "vue/v-on-event-hyphenation": ["error", "never", {"autofix": false,"ignore": []}]
    },
  };
  